#!/usr/bin/env cwl-runner
# This tool description was initially generated by argparse2tool ver. 0.4.3-2
# and later modified by hand

cwlVersion: v1.0

class: CommandLineTool
baseCommand: ['ngless-map.py']

requirements:
- $import: ngl-types.yml

doc: |
  None

inputs:

  input:
    type: File
    doc: FastQ file with reads to map (forward)
    inputBinding:
      prefix: --input

  input_reverse:
    type: File?
    doc: FastQ file with reads to map (reverse) - if paired end
    inputBinding:
      prefix: --input-reverse

  input_singles:
    type: File?
    doc: FastQ file with reads to map (singles) - if paired end and unpaired reads exist
    inputBinding:
      prefix: --input-singles

  output:
    type: string
    doc: Output file/path for results
    default: map-output.bam
    inputBinding:
      prefix: --output

  debug:
    type: boolean?
    default: False
    doc: Prints the payload before submitting to ngless
    inputBinding:
      prefix: --debug

  reference:
    type: ngl-types.yml#builtin_reference?
    doc: Select one of the reference databases included with ngless
    inputBinding:
      prefix: --reference

  fasta:
    type: File?
    doc: Map against a given fasta file (will be indexed if index is not available)
    inputBinding:
      prefix: --fasta

outputs:
  output_file:
    type: File
    outputBinding:
      glob: $(inputs.output)
