#!/usr/bin/env cwl-runner
# This tool description was initially generated by argparse2tool ver. 0.4.3-2
# and later modified by hand

cwlVersion: v1.0

class: CommandLineTool
baseCommand: ['ngless-trim.py']

requirements:
- $import: ngl-types.yml

doc: |
  None

inputs:

  input:
    type: File
    doc: FastQ file with reads to trim
    inputBinding:
      prefix: --input

  output:
    type: string
    doc: Output file/path for results
    default: trim-output.fq
    inputBinding:
      prefix: --output

  method:
    type: ngl-types.yml#trim_method
    doc: Given a read, keep the longest segment above a quality threshold (substrim) or trim from both ends (endstrim)
    inputBinding:
      prefix: --method

  min_quality:
    type: int
    doc: Minimum quality value
    inputBinding:
      prefix: --min-quality

  discard:
    type: int?
    default: 50
    doc: Discard if shorted than
    inputBinding:
      prefix: --discard

  debug:
    type: boolean?
    default: False
    doc: Prints the payload before submitting to ngless
    inputBinding:
      prefix: --debug

outputs:
  output_file:
    type: File
    outputBinding:
      glob: $(inputs.output)
